function phi_out = phi(subnet)

global P P_ xP xP_ x x_ st N

alpha=sum(sum(xP(subnet,subnet)))/sum(x(subnet));
alpha_=sum(sum(xP_(subnet,subnet)))/sum(x_(subnet));
beta=sum(sum(P(subnet,subnet)))/length(subnet);
beta_=sum(sum(P_(subnet,subnet)))/length(subnet);

normtype=inf;

switch st
    case 'oc'       %out-community
        phi_out=norm([1-alpha,1-beta,beta_],normtype);
    case 'ic'       %in-community
        phi_out=norm([1-alpha_,beta,1-beta_],normtype);
    case 'ioc'      %in/out-community
        phi_out=norm([1-alpha,1-alpha_,1-beta,1-beta_],normtype);
    case 'op'       %out-pseudocommunity
        phi_out=norm([alpha,1-beta,beta_],normtype);
    case 'ip'       %in-pseudocommunity
        phi_out=norm([alpha_,beta,1-beta_],normtype);
    case 'iop'      %in/out-pseudocommunity
        phi_out=norm([alpha,alpha_,1-beta,1-beta_],normtype);
    case 'ipoc'     %in-pseudocommunity/out-community
        phi_out=norm([1-alpha,alpha_,1-beta,1-beta_],normtype);
    case 'icop'     %in-community/out-pseudocommunity        
        phi_out=norm([alpha,1-alpha_,1-beta,1-beta_],normtype);
end

